%define tar_name sqlite-autoconf-3320300

Name: sqlite3
Version: 3.32.3
Release: 2
License: Public Domain
Summary: Python 3 Programming Language
Url: https://www.python.org
Source0: http://www.sqlite.org/2020/%{tar_name}.tar.gz

BuildRequires: readline-devel

%description
SQLite is a self-contained, high-reliability, embedded, full-featured,
public-domain, SQL database engine. SQLite is the most used database engine in
the world.

%package -n libsqlite3-0
Summary: libsqlite3 library
Provides: libsqlite3 = %{version}-%{release}

%description -n libsqlite3-0
SQLite is a self-contained, high-reliability, embedded, full-featured,
public-domain, SQL database engine. SQLite is the most used database engine in
the world.

%package devel
Summary: sqlite3 development files
Requires: libsqlite3-0 = %{version}-%{release}

%description devel
SQLite is a self-contained, high-reliability, embedded, full-featured,
public-domain, SQL database engine. SQLite is the most used database engine in
the world.


%prep
%setup -q -n %{tar_name}

%build

export CFLAGS="%{optflags} \
    -DSQLITE_ENABLE_API_ARMOR \
    -DSQLITE_ENABLE_COLUMN_METADATA \
    -DSQLITE_ENABLE_DBSTAT_VTAB \
    -DSQLITE_ENABLE_FTS5 \
    -DSQLITE_ENABLE_HIDDEN_COLUMNS \
    -DSQLITE_ENABLE_JSON1 \
    -DSQLITE_ENABLE_RBU \
    -DSQLITE_ENABLE_RTREE \
    -DSQLITE_ENABLE_UPDATE_DELETE_LIMIT \
    -DSQLITE_SOUNDEX \
    -DSQLITE_SECURE_DELETE \
    "

%configure \
  LIBS='-lm' \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  --host=powerpc-ibm-aix6 \
  --with-aix-soname=svr4 \
  --disable-static-shell \
  --enable-readline \
  # end

%make_build

%install

%make_install

rm %{buildroot}/%{_libdir}/libsqlite3.a


%files
%defattr(-, qsys, *none)

%{_bindir}/sqlite3

%{_mandir}/man1/sqlite3.1*

%files -n libsqlite3-0
%defattr(-, qsys, *none)

%{_libdir}/libsqlite3.so.0*

%files devel
%defattr(-, qsys, *none)

%{_libdir}/libsqlite3.so

%{_libdir}/pkgconfig/sqlite3.pc

%{_includedir}/sqlite3.h
%{_includedir}/sqlite3ext.h


%changelog
* Wed Nov 18 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 3.32.3
- Use brp-rm-libtool-files

* Tue Aug 11 2020 Xu Meng <mengxumx@cn.ibm.com> - 3.32.3
- Update to 3.32.3 to support the "UPSERT" operation
- https://www.sqlite.org/draft/lang_UPSERT.html 

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 3.19.3
- Use generic paths for man and info pages to allow for compression

* Mon Sep 23 2019 Kevin Adler <kadler@us.ibm.com> - 3.19.3
- Build with readline support (history)
- Add column metadata support needed by pdo_sqlite3
- Build various extensions (incl json1)
- Enable various optional features
- Make sqlite binary link to libsqlite instead of static linking

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove 64-bit GCC script workarounds
- OBJECT_MODE now always set by build and install macros

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Update BuildRequires

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix Provides in sqlite3

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs

* Tue Nov 07 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix licenses in spec files

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Fix sqlite3 build to do svr4 soname

* Fri Sep 15 2017 - Kevin Adler <kadler@us.ibm.com>
- Require libgcc_s1
